import request from '@/utils/request'

// 查询视频记录列表
export function listLzydVideoRecord(query) {
  return request({
    url: '/system/LzydVideoRecord/list',
    method: 'get',
    params: query
  })
}

// 查询视频记录详细
export function getLzydVideoRecord(id) {
  return request({
    url: '/system/LzydVideoRecord/' + id,
    method: 'get'
  })
}

// 新增视频记录
export function addLzydVideoRecord(data) {
  return request({
    url: '/system/LzydVideoRecord',
    method: 'post',
    data: data
  })
}

// 修改视频记录
export function updateLzydVideoRecord(data) {
  return request({
    url: '/system/LzydVideoRecord',
    method: 'put',
    data: data
  })
}

// 删除视频记录
export function delLzydVideoRecord(id) {
  return request({
    url: '/system/LzydVideoRecord/' + id,
    method: 'delete'
  })
}

// 导出视频记录
export function exportLzydVideoRecord(query) {
  return request({
    url: '/system/LzydVideoRecord/export',
    method: 'get',
    params: query
  })
}